import { Construct } from 'constructs';
/**
 * @experimental
 */
export interface AppOptions {
    /**
     * (experimental) The directory to output Kubernetes manifests.
     *
     * @default - CDK8S_OUTDIR if defined, otherwise "dist"
     * @experimental
     */
    readonly outdir?: string;
}
/**
 * (experimental) Represents a cdk8s application.
 *
 * @experimental
 */
export declare class App extends Construct {
    /**
     * (experimental) The output directory into which manifests will be synthesized.
     *
     * @experimental
     */
    readonly outdir: string;
    /**
     * (experimental) Defines an app.
     *
     * @param options configuration options.
     * @experimental
     */
    constructor(options?: AppOptions);
    /**
     * (experimental) Synthesizes all manifests to the output directory.
     *
     * @experimental
     */
    synth(): void;
    private static of;
}
